Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interface.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interface.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interface.h	(revision 88)
@@ -34,5 +34,5 @@
   {
     // -----[ fields ]----------------------------------------------------
-  protected : const std::string          _name         ;
+  protected : const std::string     _name         ;
 #ifdef POSITION
   protected : const direction_t     _direction    ;
@@ -42,8 +42,8 @@
 
 #ifdef POSITION
-  protected :       std::string          _comment      ;
-#endif
-
-  protected : std::list<Signal *>      * _list_signal  ;
+  protected :       std::string     _comment      ;
+#endif
+
+  protected : std::list<Signal *> * _list_signal  ;
 
 #ifdef POSITION
@@ -69,13 +69,13 @@
   public    :                       ~Interface           ();
 
-  public    : std::string                get_name             ();
+  public    : std::string           get_name             ();
 
 #ifdef POSITION
   public    : void                  set_comment          (std::string comment);
-  protected : std::string                get_comment          (void          );
-#endif
-
-  protected : std::string                signal_name          (std::string      name_interface,
-							  std::string      name_signal   ,
+  protected : std::string           get_comment          (void);
+#endif
+
+  protected : std::string           signal_name          (std::string name_interface,
+							  std::string name_signal   ,
 							  direction_t direction     );
 
@@ -83,13 +83,13 @@
   public    : bool                  find_signal          (Signal * signal);
 
-  protected : std::string                get_signal           (void);
-  public    : Signal *              set_signal           (std::string          name     ,
+  protected : std::string           get_signal           (void);
+  public    : Signal *              set_signal           (std::string     name     ,
 							  direction_t     direction,
 							  uint32_t        size     ,
 							  presence_port_t presence_port = PORT_VHDL_YES_TESTBENCH_YES);
-  public    : std::list<Signal *>      * get_signal_list      (void);
+  public    : std::list<Signal *> * get_signal_list      (void);
 
 #ifdef SYSTEMC
-  public    : sc_in_clk *           set_signal_clk       (std::string          name     ,
+  public    : sc_in_clk *           set_signal_clk       (std::string     name     ,
 							  uint32_t        size     ,
 							  presence_port_t presence_port=CLOCK_VHDL_YES)
@@ -120,5 +120,5 @@
 
   public    : template <typename T>
-              sc_in <T> *           set_signal_in       (std::string          name     ,
+              sc_in <T> *           set_signal_in       (std::string     name     ,
 							 uint32_t        size     ,
 							 presence_port_t presence_port=PORT_VHDL_YES_TESTBENCH_YES)
@@ -149,5 +149,5 @@
 
   public    : template <typename T>
-              sc_out <T> *          set_signal_out      (std::string          name     ,
+              sc_out <T> *          set_signal_out      (std::string     name     ,
 							 uint32_t        size     ,
 							 presence_port_t presence_port=PORT_VHDL_YES_TESTBENCH_YES)
@@ -218,17 +218,17 @@
   public    : void                  testbench_cycle      (void);
   public    : void                  testbench_body       (Vhdl           * & vhdl          ,
-							  std::string             counter_name  ,
-							  std::string             reset_name    );
+							  std::string        counter_name  ,
+							  std::string        reset_name    );
   public    : std::string           testbench_test       (Vhdl           * & vhdl        ,
-							  std::string             counter_name,
-							  std::string             reset_name);
-  public    : std::string           testbench_test_ok    (Vhdl           * & vhdl        );
-  protected : std::string           testbench_test_name   (Vhdl           * & vhdl);
-  protected : std::string           testbench_test_ok_name(Vhdl           * & vhdl);
-  protected : std::string           testbench_test_transaction_name(Vhdl           * & vhdl);
+							  std::string        counter_name,
+							  std::string        reset_name);
+  public    : std::string           testbench_test_ok               (Vhdl * & vhdl);
+  protected : std::string           testbench_test_name             (Vhdl * & vhdl);
+  protected : std::string           testbench_test_ok_name          (Vhdl * & vhdl);
+  protected : std::string           testbench_test_transaction_name (Vhdl * & vhdl);
 #endif
 
   public    : bool                  test_map             (uint32_t depth, bool top_level, bool is_behavioural);
-//   public    : bool                  test_equi            (uint32_t depth);
+//public    : bool                  test_equi            (uint32_t depth);
 
 #ifdef POSITION
@@ -238,6 +238,6 @@
   public    : XML                   toXML_mapping        (void);
 #endif
-  public    : friend std::ostream&       operator<<           (std::ostream& output_stream,
-							       morpheo::behavioural::Interface & x);
+  public    : friend std::ostream&  operator<<           (std::ostream& output_stream,
+                                                          morpheo::behavioural::Interface & x);
 
   };
